/* 
 * Formation ENVOL 2014 - Atelier électronique embarquée 2
 * Station météo - mesure de température, humidité et luminosité
 * Matériel : Arduino Uno, DHT11, photorésistance, résistance 10k (x2)
 */

// Inclusion de la librairie nécessaire pour la lecture du DHT11
#include <DHT.h>

//Déclaration de la pin reliée au capteur
#define DHTPIN 2

// Déclaration du type de capteur utilisé et initialisation
#define DHTTYPE DHT11
DHT dht(DHTPIN, DHTTYPE);

void setup()
{
  Serial.begin(9600); // Initialisation liaison série
  dht.begin();        // Initialisation DHT11
}

void loop()
{
  // Relevé des valeurs en provenance du DHT11
  float hum = dht.readHumidity();
  float temp = dht.readTemperature();
  
  // Relevé des valeurs en provenance de la photorésistance et conversion en pourcentage
  int lum = analogRead(0);
  lum = map(lum, 150, 1000, 0, 100); // Valeurs à rajuster si besoin

  // Impression sur moniteur série
  Serial.print("Humidite : ");
  Serial.print(hum);
  Serial.print(" %\t");
  Serial.print("Temperature : ");
  Serial.print(temp);
  Serial.print(" *C\t");
  Serial.print("Luminosite : ");
  Serial.print(lum);
  Serial.println(" %");
  
  // Délai entre deux mesures 
  delay(2000);
}
